package com.railway.system.mapper;

import com.github.pagehelper.Page;
import com.railway.system.domain.SysScheduledTask;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 系统计划任务表
* @author author
* @date 2021/12/09
*/
@Mapper
@Repository
public interface SysScheduledTaskMapper {

    /**
    * 新增
    */
    int insert(SysScheduledTask sysScheduledTask);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(SysScheduledTask sysScheduledTask);

    /**
    * 获取单个
    */
    SysScheduledTask getInfo(@Param("id") String id);

    SysScheduledTask getInfoByName(@Param("name") String name);
    /**
    * 查询列表
    */
    Page<SysScheduledTask> getList(SysScheduledTask sysScheduledTask);

}
